Subject: [alpine-devel] Initial APKBUILD for jailkit

From: <[email-masked]>
Date: Sun, 8 Jul 2012 18:10:42 -0400

Initial commit for jailkit (toolkit for chroot jailing users and daemons)
See http://olivier.sessink.nl/jailkit/

TODO: 
   make sure config files are sensible defaults for Apline.

commit 1657ece39f85e5c7af2ab0a907f3163c3e038890
Author: Dean Takemori <[email-masked]>
Date:   Sun Jul 8 12:01:08 2012 -1000

    Add initial files for jailkit

diff --git a/testing/jailkit/APKBUILD b/testing/jailkit/APKBUILD
new file mode 100644
index 0000000..f3edc75
--- /dev/null
+++ b/testing/jailkit/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Dean Takemori <[email-masked]>
+# Maintainer:
+pkgname=jailkit
+pkgver=2.15
+pkgrel=0
+pkgdesc="Utilities for chroot jailing a user or process."
+url="http://olivier.sessink.nl/jailkit"
+arch="all"
+license="custom"
+depends="python"
+depends_dev=""
+makedepends="$depends_dev"
+install="$pkgname.post-install $pkgname.post-deinstall"
+subpackages="$pkgname-doc"
+source="http://olivier.sessink.nl/jailkit/jailkit-$pkgver.tar.bz2
+       Makefile.in.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+       local i
+       cd "$_builddir"
+       for i in $source; do
+               case $i in
+               *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+               esac
+       done
+}
+
+build() {
+       cd "$_builddir"
+       ./configure --prefix=/usr \
+               --sysconfdir=/etc \
+               --mandir=/usr/share/man \
+               --infodir=/usr/share/info \
+               --localstatedir=/var \
+               || return 1
+       make || return 1
+}
+
+package() {
+       cd "$_builddir"
+       make DESTDIR="$pkgdir" install || return 1
+       rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="76e640aea827604c710a8aedd25c739e  jailkit-2.15.tar.bz2
+4be3912010312b1c8980c6b54c4dc61d  Makefile.in.patch"
diff --git a/testing/jailkit/Makefile.in.patch b/testing/jailkit/Makefile.in.patch
new file mode 100644
index 0000000..36494ed
--- /dev/null
+++ b/testing/jailkit/Makefile.in.patch
@@ -0,0 +1,23 @@
+--- jailkit-2.15/Makefile.in
++++ jailkit-2.15/Makefile.in-patched
+@@ -67,14 +67,6 @@
+       @cd src/ && $(MAKE) install
+       @cd py/ && $(MAKE) install
+       @cd man/ && $(MAKE) install
+-      # test if the jk_chrootsh is already in /etc/shells
+-      # this previously had @echo but that fails on FreeBSD
+-      if test -w /etc/shells; then \
+-              if ! grep ${prefix}/sbin/jk_chrootsh /etc/shells ; then \
+-                      echo "appending ${prefix}/sbin/jk_chroots to /etc/shells";\
+-                      echo ${prefix}/sbin/jk_chrootsh >> /etc/shells ;\
+-              fi \
+-      fi
+ 
+ 
+ uninstall:
+@@ -83,5 +75,3 @@
+       @cd man/ && $(MAKE) uninstall
+       @cd src/ && $(MAKE) uninstall
+       -rmdir --ignore-fail-on-non-empty ${DESTDIR}${iniprefix}
+-      @echo "You must manually remove jk_chrootsh from /etc/shells"
+-# remove jk_chrootsh from /etc/shells
diff --git a/testing/jailkit/jailkit.post-deinstall b/testing/jailkit/jailkit.post-deinstall
new file mode 100644
index 0000000..1a6f5ab
--- /dev/null
+++ b/testing/jailkit/jailkit.post-deinstall
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# test if the jk_chrootsh is already in /etc/shells
+if test -w /etc/shells; then \
+       if grep /usr/sbin/jk_chrootsh /etc/shells ; then \
+               echo "commenting /usr/sbin/jk_chroots out of /etc/shells";\
+               sed -i "s|^/usr/sbin/jk_chrootsh.*|#&|" /etc/shells ;\
+       fi \
+fi
+
diff --git a/testing/jailkit/jailkit.post-install b/testing/jailkit/jailkit.post-install
new file mode 100644
index 0000000..9e6e0f2
--- /dev/null
+++ b/testing/jailkit/jailkit.post-install
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# test if the jk_chrootsh is already in /etc/shells
+# this previously had @echo but that fails on FreeBSD
+if test -w /etc/shells; then \
+       if ! grep /usr/sbin/jk_chrootsh /etc/shells ; then \
+               echo "appending /usr/sbin/jk_chroots to /etc/shells";\
+               echo /usr/sbin/jk_chrootsh >> /etc/shells ;\
+       fi \
+fi
+

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Mon, 9 Jul 2012 10:08:43 +0200

On Sun, 8 Jul 2012 18:10:42 -0400
<[email-masked]> wrote:

> 
> Initial commit for jailkit (toolkit for chroot jailing users and
> daemons) See http://olivier.sessink.nl/jailkit/
> 
> TODO: 

>>> jailkit: Checking md5sums...
jailkit-2.15.tar.bz2: OK
Makefile.in.patch: FAILED
md5sum: WARNING: 1 of 1 computed checksums did NOT match
>>> ERROR: jailkit: all failed

Could you please fix that and resend?

Thanks!

-nc

---

---

From: <[email-masked]>
Date: Mon, 9 Jul 2012 5:33:45 -0400

Copy/Paste probably messed up the tabs in the Makefile.

Try again as an attachment.

---

From: Natanael Copa <[email-masked]>
Date: Mon, 9 Jul 2012 11:56:24 +0200

> Try again as an attachment.

didn't apply with 'git am' but I commited it with new commit message
and with you as --author.

Thanks!

-nc

---